#include "Face.h"
#include "Vertex.h"

Face::
Face (VertexPtr v0, VertexPtr v1, VertexPtr v2)
{
  assert(v0 && v1 && v2);
  assert(v0!=v1 && v0!=v2 && v1!=v2);

  // save references to vertices
  v[0] = v0;
  v[1] = v1;
  v[2] = v2;
}
