/**
 * Vertex class.
 *
 * Written by Robert Osada, September 2000.
 **/
#ifndef __VERTEX_H__
#define __VERTEX_H__

#include "Declarations.h"
#include "Misc.h"
#include <vector>

/**
 * Vertex class
 **/
class Vertex
{
public:
  Vector3f&       getPos ()       { return pos; }
  const Vector3f& getPos () const { return pos; }

private:
  Vector3f pos; // position
};


#endif
